<template>
  <div>
    <!-- section header casino -->
    <div class="header_style" v-if="data.section_menu_casino">
      <div v-if="data.section_menu_casino.casino_page">
        <img
          :src="data.section_menu_casino.casino_page.value"
          class="header_style img-fluid"
        />
      </div>
    </div>
    <!-- section casino logo -->
    <div class="d-none d-md-block">
      <div class="container">
        <div class="row p-0">
          <div
            class="text-center mt-5"
            v-if="data.section_menu_casino.header_casino_menu"
          >
            <h1>{{ data.section_menu_casino.header_casino_menu.value }}</h1>
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino1"
          >
            <img :src="data.section_menu_casino.banner_casino1.value" />
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino2"
          >
            <img :src="data.section_menu_casino.banner_casino2.value" />
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino3"
          >
            <img :src="data.section_menu_casino.banner_casino3.value" />
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino4"
          >
            <img :src="data.section_menu_casino.banner_casino4.value" />
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino5"
          >
            <img :src="data.section_menu_casino.banner_casino5.value" />
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino6"
          >
            <img :src="data.section_menu_casino.banner_casino6.value" />
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino7"
          >
            <img :src="data.section_menu_casino.banner_casino7.value" />
          </div>
          <div
            class="col-md-3 mt-5"
            v-if="data.section_menu_casino.banner_casino8"
          >
            <img :src="data.section_menu_casino.banner_casino8.value" />
          </div>
        </div>
      </div>
    </div>
    <!-- section mobile -->
    <div class="d-block d-md-none">
      <div class="container">
        <div class="row p-0">
          <div
            class="text-center mt-5"
            v-if="data.section_menu_casino.header_casino_menu"
          >
            <h1>{{ data.section_menu_casino.header_casino_menu.value }}</h1>
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino1"
          >
            <img :src="data.section_menu_casino.banner_casino1.value" />
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino2"
          >
            <img :src="data.section_menu_casino.banner_casino2.value" />
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino3"
          >
            <img :src="data.section_menu_casino.banner_casino3.value" />
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino4"
          >
            <img :src="data.section_menu_casino.banner_casino4.value" />
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino5"
          >
            <img :src="data.section_menu_casino.banner_casino5.value" />
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino6"
          >
            <img :src="data.section_menu_casino.banner_casino6.value" />
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino7"
          >
            <img :src="data.section_menu_casino.banner_casino7.value" />
          </div>
          <div
            class="col-md-6 mt-5"
            v-if="data.section_menu_casino.banner_casino8"
          >
            <img :src="data.section_menu_casino.banner_casino8.value" />
          </div>
        </div>
      </div>
    </div>
    <!-- section banner casino -->
    <div class="bg_casino_menu py-5 px-5 mt-5">
      <div class="border_demo">
        <div class="container">
          <div
            class="pt-5 pb-3"
            v-if="data.section_menu_casino.header_casino_card"
          >
            <h1 style="color: #ffd46d">
              {{ data.section_menu_casino.header_casino_card.value }}
            </h1>
          </div>
          <div class="row p-0">
            <div
              class="col-md-6 pb-5"
              v-if="data.section_menu_casino.content_casino_menu"
            >
              <a style="color: white">
                {{ data.section_menu_casino.content_casino_menu.value }}</a
              >
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      data: {
        section_menu_casino: [],
      },
      isloadding: false,
    };
  },
  async beforeMount() {
    this.GetData();
  },
  methods: {
    isFormat(temp, current) {
      for (let key in temp) {
        if (!Object.keys(current).includes(key)) {
          return false;
        }
      }
      return true;
    },
    async addStyle() {
      for (const [key, v] of Object.entries(this.data)) {
        if (typeof v === "object") {
          for (const [k, val] of Object.entries(v)) {
            if (val.type == "color") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                val.value
              );
            } else if (val.type == "image") {
              document.documentElement.style.setProperty(
                `--${key}_${val.name}`,
                `url(${val.value})`
              );
            }
          }
        }
      }
    },
    async GetData() {
      try {
        // const url = "http://" + window.location.host + "/get.php";
        // let {data} = await this.$axios.get('/get.php?code_name='+md5);
        this.isloadding = true;
        let { data } = await this.$axios.get("/get_winbet97.json");

        // let { data } = await this.$axios.get(
        //   "https://admin-static-api-ehhif4jpyq-as.a.run.app/api/Static/ab1e389ef2852fb41d6d3c68fb252370"
        // );

        this.data = await this.mapSectionData(data);
        if (this.data) {
          this.addStyle();
        }
        this.componentKey += 1;
        this.isloadding = false;

        // console.log("this.isloadding ", this.isloadding);
        return true;
      } catch (error) {
        console.log(error);
        const { response } = error;
        if (response) {
          const { status } = response;
          if (!status) {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            return false;
          } else if (status === 200) {
            console.log("Error is ok");
          } else if (status === 404) {
            this.$router.push({
              path: "/404",
              query: { message: response.data.message },
            });
            console.log("is invalid or not found");
            // this.$swal("is invalid or not found");
            return false;
          } else {
            this.$router.push({
              path: "/400",
              query: { message: error.response.data.message },
            });
            // console.log(" is under maintainance with custom message");
            // this.$swal("is under maintainance with custom message");
            return false;
          }
        } else {
          console.log(error);
          this.$router.push({
            path: "/400",
            query: { message: "server is not responding" },
          });
          // this.$swal("is invalid or not found 3");
          return false;
        }

        // console.log("500");
      }
    },

    mapSectionData(data) {
      for (let key in data) {
        if (typeof data[key] === "object") {
          data[key] = data[key].reduce(function (map, value) {
            map[value.name] = value;
            return map;
          }, {});
        }
      }
      return data;
    },
  },
};
</script>
